# vtkImageMapToColors16 Class Reference

`#include <vtkImageMapToColors16.h>`

List of all members.

## Public Member Functions
virtual unsigned long | GetMTime ()
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetLookupTable (vtkScalarsToColors *)
void | SetOutputFormatToLuminance ()
void | SetOutputFormatToLuminanceAlpha ()
void | SetOutputFormatToRGB ()
void | SetOutputFormatToRGBA ()
| vtkBooleanMacro (PassAlphaToOutput, int)
| vtkGetMacro (PassAlphaToOutput, int)
| vtkGetMacro (ActiveComponent, int)
| vtkGetMacro (OutputFormat, int)
| vtkGetObjectMacro (LookupTable, vtkScalarsToColors)
| vtkSetMacro (PassAlphaToOutput, int)
| vtkSetMacro (ActiveComponent, int)
| vtkSetMacro (OutputFormat, int)
| vtkTypeRevisionMacro (vtkImageMapToColors16, vtkThreadedImageAlgorithm)
## Static Public Member Functions
static vtkImageMapToColors16 * | New ()
## Protected Member Functions
| vtkImageMapToColors16 ()
| ~vtkImageMapToColors16 ()
virtual int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
virtual int | RequestInformation (vtkInformation *, vtkInformationVector **, vtkInformationVector *)
void | ThreadedRequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector, vtkImageData ***inData, vtkImageData **outData, int extent[6], int id)
## Protected Attributes
int | ActiveComponent
int | DataWasPassed
vtkScalarsToColors * | LookupTable
int | OutputFormat
int | PassAlphaToOutput

## Constructor & Destructor Documentation

vtkImageMapToColors16::vtkImageMapToColors16 | ( |  | ) | `[protected]`

vtkImageMapToColors16::~vtkImageMapToColors16 | ( |  | ) | `[protected]`

## Member Function Documentation

virtual unsigned long vtkImageMapToColors16::GetMTime | ( |  | ) | `[virtual]`

static vtkImageMapToColors16* vtkImageMapToColors16::New | ( |  | ) | `[static]`

void vtkImageMapToColors16::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent |
| ) |  |  |

virtual int vtkImageMapToColors16::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector |
| ) |  |  | `[protected, virtual]`

virtual int vtkImageMapToColors16::RequestInformation | ( | vtkInformation * | ,
|  | vtkInformationVector ** | ,
|  | vtkInformationVector * |  |
| ) |  |  | `[protected, virtual]`

virtual void vtkImageMapToColors16::SetLookupTable | ( | vtkScalarsToColors * |  | ) | `[virtual]`

void vtkImageMapToColors16::SetOutputFormatToLuminance | ( |  | ) | `[inline]`

void vtkImageMapToColors16::SetOutputFormatToLuminanceAlpha | ( |  | ) | `[inline]`

void vtkImageMapToColors16::SetOutputFormatToRGB | ( |  | ) | `[inline]`

void vtkImageMapToColors16::SetOutputFormatToRGBA | ( |  | ) | `[inline]`

void vtkImageMapToColors16::ThreadedRequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector,
|  | vtkImageData *** | inData,
|  | vtkImageData ** | outData,
|  | int | extent[6],
|  | int | id |
| ) |  |  | `[protected]`

vtkImageMapToColors16::vtkBooleanMacro | ( | PassAlphaToOutput | ,
|  | int |  |
| ) |  |  |

vtkImageMapToColors16::vtkGetMacro | ( | PassAlphaToOutput | ,
|  | int |  |
| ) |  |  |

vtkImageMapToColors16::vtkGetMacro | ( | ActiveComponent | ,
|  | int |  |
| ) |  |  |

vtkImageMapToColors16::vtkGetMacro | ( | OutputFormat | ,
|  | int |  |
| ) |  |  |

vtkImageMapToColors16::vtkGetObjectMacro | ( | LookupTable | ,
|  | vtkScalarsToColors |  |
| ) |  |  |

vtkImageMapToColors16::vtkSetMacro | ( | PassAlphaToOutput | ,
|  | int |  |
| ) |  |  |

vtkImageMapToColors16::vtkSetMacro | ( | ActiveComponent | ,
|  | int |  |
| ) |  |  |

vtkImageMapToColors16::vtkSetMacro | ( | OutputFormat | ,
|  | int |  |
| ) |  |  |

vtkImageMapToColors16::vtkTypeRevisionMacro | ( | vtkImageMapToColors16 | ,
|  | vtkThreadedImageAlgorithm |  |
| ) |  |  |

## Member Data Documentation

int vtkImageMapToColors16::ActiveComponent`[protected]`

int vtkImageMapToColors16::DataWasPassed`[protected]`

vtkScalarsToColors* vtkImageMapToColors16::LookupTable`[protected]`

int vtkImageMapToColors16::OutputFormat`[protected]`

int vtkImageMapToColors16::PassAlphaToOutput`[protected]`

The documentation for this class was generated from the following file:

- vtkImageMapToColors16.h